<?php
if(isset($_POST["bexp"])) {	
	$varFIni = ($_POST["eini"]=="") ? "NULL" : "'".FechaMySql($_POST["eini"])."'";
	$varFFin = ($_POST["efin"]=="") ? "NULL" : "'".FechaMySql($_POST["efin"])."'";
	$varClie = ($_POST["ccod"]=="") ? "NULL" : $_POST["ccod"];
	$varVend = ($_POST["vcod"]=="") ? "NULL" : $_POST["vcod"];			
	
	$sql = "call spQuery_Registro_Cambios($varClie, $varVend, $varFIni, $varFFin);";
	$_SESSION[expor_sql_1] =  $sql;
	$_SESSION[expor_sql_2] = NULL;
	$dir = "export.php?page=REGISTRO DE VENTAS";
	header("location: $dir");
	}
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

require "clases/KoolAjax/koolajax.php";
$koolajax->scriptFolder = "clases/KoolAjax";
				
function seleccionaProducto($ide, $varLista) {
	if($ide<>"") {
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$obj->AbrirConexion();
		$sql = "call spQuery_Lista_Producto_Venta('$ide','','$varLista');";
		
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);
		if($obj->NumFilas($rs)>0) $retorna = $Fila["PRODUCTO"]."[[sep]]".$Fila["UM_VENTA"]."[[sep]]".$Fila["PRECIO_VENTA"]."[[sep]]".$Fila["STOCK"];
		else $retorna = "NO EXISTE";
		}
	return $retorna;
	}

function generaDocNuevo($varVenta, $varTipo) {
	$retorna = "ERROR";
	if($varVenta<>"") {
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$obj->AbrirConexion();
		$Usr = (isset($_SESSION["_CUSE"]))  ? $_SESSION["_CUSE"] : "1";
		$sql = "CALL spProceso_Genera_Nueva_Venta($varVenta, '$varTipo', $Usr);";
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);
		if($obj->NumFilas($rs)>0) $retorna = $Fila[0];
		else $retorna = "ERROR";
		}
	return $retorna;
	}

function seleccionarNroDocumento($ide) {
	if($ide<>"" && $ide<>"Ninguno") {
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$sql = "select spFuncion_NumeroDocumento('$ide');";
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		if($Fila = $obj->FetchArray($rs)) {
			$retorna = $Fila[0];
			}
		else {
			$retorna = "NO CONFIGURADO";
			}		
		}
	else $retorna = "";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("tdnam","value",$retorna);
	$respuestaXajax->assign("tdnam1","value",$retorna);	
	return $respuestaXajax;
	}	
	
$xajax->register(XAJAX_FUNCTION, 'seleccionarNroDocumento');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_cliente');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_tipo_docpago');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_vendedor');
$xajax->processRequest();
$xajax->printJavascript("clases/xajax");

$koolajax->enableFunction("seleccionaProducto");
$koolajax->enableFunction("generaDocNuevo");	
echo $koolajax->Render();
		
function MyTable($obj, $varTitulo, $Opcion, $Valor) {
	$Link = $_SERVER['PHP_SELF'];
	$MyTabla = "_sv_venta";
	$myID = "id_venta";
	$varFINI = (isset($_POST["eini"]))?$_POST["eini"]:NULL;
	$varFFIN = (isset($_POST["efin"]))?$_POST["efin"]:NULL;
	$varCCOD = (isset($_POST["ccod"]))?$_POST["ccod"]:NULL;
	$varCNOM = (isset($_POST["cnom"]))?$_POST["cnom"]:NULL;
	$varVCOD = (isset($_POST["vcod"]))?$_POST["vcod"]:NULL;
	$varVNOM = (isset($_POST["vnom"]))?$_POST["vnom"]:NULL;
	?>
	<script language="javascript">
	function CalcularItem(i) {
		var varCant = 0;
		var varUnitario = 0;
		
		var vuni = document.getElementById('ipre['+i+']');
		var vcant = document.getElementById('ican['+i+']');	
		var vtot = document.getElementById('itot['+i+']');
		
		if (vuni.value=="") varUnitario = "0";
		else	varUnitario = vuni.value;
		
		if (vcant.value=="") varCant="0";
		else	varCant = vcant.value;
		

		var varTotal = parseFloat(varUnitario)*parseFloat(varCant);
		vtot.value = redondear(varTotal,2);
		CalculaRTotal();
		}
		
	function CalculaRTotal() {
		var form = document.getElementById('form');
		var sto = 0;
		for (i=0;i<form.elements.length;i++) {	
			var Campo = form.elements[i].name;		
			if(Campo.indexOf("itot")==0) {			
				if (form.elements[i].value!="") {				
					sto = sto + parseFloat(form.elements[i].value);		
					}
				}
			}
		var vtotal = document.getElementById('tot');
		vtotal.value = redondear(sto,2);
		}
		
	function restar() {
		var miTabla = document.getElementById("cuerpoTabla");
		var i = 0;
		do
			if (miTabla.rows[i].getElementsByTagName("input")[0].checked == true)
				miTabla.deleteRow(i);
			else
				i ++;
		while (miTabla.rows.length != i)
	}
	
	function suma()  {
		if (form.tdcod && form.tdcod.value=="Ninguno") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE SELECCIONAR UN TIPO DE DOCUMENTO DE VENTA");
			form.tdcod.focus()
			return (false); 
			}
		else if (form.tdcod.value=="2" && form.ruc.value=="") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nNO SE PUEDE REGISTRAR EL PEDIDO COMO FACTURA\nPORQUE EL CLIENTE NO CUENTA CON RUC");
			form.tdnam.focus()
			return (false); 
			}
		else if (form.tdnam && form.tdnam.value=="") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nFALTA CONFIGURAR EL NUMERO DE DOCUMENTO DE VENTA");
			form.tdnam.focus()
			return (false); 
			}
		else if (form.femi && form.femi.value=="") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE EMISION");
			form.femi.focus()
			return (false); 
			}
		else if (form.ccod && form.ccod.value=="") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE SELECCIONAR UN CLIENTE");
			form.ccod.focus()
			return (false); 
			}
		else if (form.vcod && form.vcod.value=="") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE SELECCIONAR UN VENDEDOR");
			form.vcod.focus()
			return (false); 
			}
		else if (form.rcod && form.rcod.value=="" || form.rcod.value=="0") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nEL CLIENTE NO TIENE ASIGNADO NINGUNA RUTA DE DISTRIBUCIÓN");
			form.rcod.focus()
			return (false); 
			}
		else if (form.lcod && form.lcod.value=="" || form.lcod.value=="0") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nEL CLIENTE NO TIENE ASIGNADO NINGUNA LISTA DE PRECIOS");
			form.lcod.focus()
			return (false); 
			}
		else {
			var vnum = document.getElementById('num');
			var num = parseInt(vnum.value)+1;
			var miTabla = document.getElementById("cuerpoTabla");
			var fila = document.createElement("tr");
			var celda1 = document.createElement("td");
			var celda2 = document.createElement("td");
			var celda3 = document.createElement("td");
			var celda4 = document.createElement("td");
			var celda5 = document.createElement("td");
			var celda6 = document.createElement("td");
			var celda7 = document.createElement("td");
			var celda8 = document.createElement("td");
			
			fila.setAttribute("bgcolor","#F5FAFA");
			fila.setAttribute("onMouseOver","uno(this,'#FFFF33')");
			fila.setAttribute("onMouseOut","dos(this,'#F5FAFA')");
			celda1.setAttribute("align","center");	
			celda1.setAttribute("class","interior");
			celda2.setAttribute("class","interior");
			celda3.setAttribute("class","interior");
			celda4.setAttribute("align","center");
			celda4.setAttribute("class","interior");
			celda5.setAttribute("align","center");
			celda5.setAttribute("class","interior");
			celda6.setAttribute("align","center");
			celda6.setAttribute("nowrap","nowrap");
			celda6.setAttribute("class","interior");
			celda7.setAttribute("align","center");
			celda7.setAttribute("class","interior");
			celda8.setAttribute("align","center");
			celda8.setAttribute("class","interior");
			
			celda1.innerHTML = "<input id='icod["+num+"]' name='icod["+num+"]' autocomplete='off' type='text' style='text-align:center; width:60px;' ondblclick=\"fn_cargar_listado_producto_venta('"+num+"', '"+form.lcod.value+"')\"  onblur=\"select_producto('"+num+"', '"+form.lcod.value+"')\" onkeypress=\"return SoloNumeros(event)\"/  tabindex=\""+num+"\">";	
			celda2.innerHTML = "<input id='inom["+num+"]' name='inom["+num+"]' type='text'  class='inputDisable' onkeypress=\"return SoloNumeros(event)\" readonly style='width:350px' />";
			celda3.innerHTML = "<input id='iuni["+num+"]' name='iuni["+num+"]' type='text' class='inputDisable' readonly style='text-align:center; width:50px' />";
			celda4.innerHTML = "<input id='istk["+num+"]' name='istk["+num+"]' type='text' class='inputDisable' onkeypress=\"return SoloNumeros(event)\" readonly style='text-align:right;width:50px'/>";				
			celda5.innerHTML = "<input id='ilot["+num+"]' name='ilot["+num+"]' class='inputLogro' type='text' value='' style='width:80px;text-align:center' autocomplete='off' tabindex=\""+num+"\" >";
			celda6.innerHTML = "<input id='ifec"+num+"' name='ifec["+num+"]' class='campo_fecha' type='text' value='' readonly style='width:100px' tabindex=\""+num+"\" >";
			celda7.innerHTML = "<input id='ican["+num+"]' name='ican["+num+"]' autocomplete='off' type='text' onkeypress=\"return SoloNumeros(event)\"  style='text-align:right;width:50px' tabindex=\""+num+"\"/>";
			celda8.innerHTML = "<a hre='#' onClick='DeleteRow(this)'> <img src='images/b_drop.png' border='0'></a>";
	
			fila.appendChild(celda1);
			fila.appendChild(celda2);
			fila.appendChild(celda3);
			fila.appendChild(celda4);
			fila.appendChild(celda5);
			fila.appendChild(celda6);
			fila.appendChild(celda7);
			fila.appendChild(celda8);
			miTabla.appendChild(fila);
			vnum.value=num;
			//Bloqueamos las Cajas de Texto que no podran set editadas
			//document.imgfech.style.visibility = "hidden";
			form.tdcod.disabled = true;
			form.femi.disabled = true;			
			form.cond.disabled = true;
			form.vcod.disabled = true;
			form.ccod.disabled = true;
			//Pasamos el valor de las cajas bloqueadas
			form.femi1.value	= form.femi.value;
			form.tdcod1.value 	= form.tdcod.value;
			form.cond1.value 	= form.cond.value;
			form.vcod1.value 	= form.vcod.value;
			form.ccod1.value 	= form.ccod.value;
			//Agregamos tipo de cambo fecha
			$(function() {
				$( "#ifec"+num ).datepicker({ 
					  minDate: -30, 
					  maxDate: +30
					});
			});
			
			}
		}
	
	function DeleteRow(x) {
		while (x.tagName.toLowerCase() !='tr') {
			if(x.parentElement)
				x=x.parentElement;
			else if(x.parentNode)
				x=x.parentNode;
			else
			return;
			}
		var rowNum=x.rowIndex;
		while (x.tagName.toLowerCase() !='table') {
			if(x.parentElement)
				x=x.parentElement;
			else if(x.parentNode)
				x=x.parentNode;
			else
				return;
			}
		x.deleteRow(rowNum);
		CalculaRTotal();
		}
		
	function valida(e){
		tecla=(document.all) ? e.keyCode : e.which;
		if(tecla == 13)
		document.form.cond.focus();
		}
		
	
	function cargarProducto(ccod, cnom) {
		var Ruta = 'lista_producto.php?ccod='+ccod+'&cnom='+cnom;
		testwindow= window.open (Ruta, "mywindow",
		"location=1,status=1,scrollbars=1,width=600,height=600");
		}
		
	function select_producto(ide, varLista) {	
		var ccod1 = document.getElementById('icod['+ide+']');
		var cnom1 = document.getElementById('inom['+ide+']');
		var cuni1 = document.getElementById('ipre['+ide+']');
		var cstk1 = document.getElementById('istk['+ide+']');
		var cume1 = document.getElementById('iuni['+ide+']');
		
		var existe="NO";
		var form = document.getElementById('form');	
		if(ccod1=="") {
			ccod1.value = "";
			cnom1.value = "";
			cstk1.value = "";
			cume1.value = "";
			}
		else {		
			var dato = koolajax.callback(seleccionaProducto(ccod1.value, varLista));		
			if(dato=="NO EXISTE") {
				alert("PRODUCTO ESCRITO NO EXISTE...");
				ccod1.value = "";
				cnom1.value = dato;
				cuni1.value = "";
				cume1.value = "";
				ccod1.focus();
				}
			else {
				var myArray = dato.split('[[sep]]'); 			
				for (i=0;i<form.elements.length;i++) {
					var Campo = form.elements[i].name;		
					if(Campo.indexOf("icod")==0 && form.elements[i].value==ccod1.value && Campo != ccod1.name) {
						existe="SI";	
						}	
					}				
				if (existe=="SI") {
					ccod1.value = "";
					cnom1.value = "";
					cuni1.value = "";
					cume1.value = "";
					alert("EL producto : " + ccod1.value + "\n" + myArray[0] + "\nYA ESTA AGREGADO, SELECCIONE OTRO POR FAVOR");
					ccod1.focus();
					}
				else {
					
					cnom1.value = myArray[0];
					cume1.value = myArray[1];
					cstk1.value = myArray[3];
					cuni1.value = myArray[2];
					}
				}
			}
		}
		
	
	function select_Cliente(ccod, cnom) {		
		var ccod1 = document.getElementById(ccod);
		var cnom1 = document.getElementById(cnom);
		if(ccod1.value=="") {
			ccod1.value = "";
			cnom1.value = "";
			}
		else {			
			var dato = koolajax.callback(seleccionaCliente(ccod1.value));
			if(dato=="NO EXISTE") {
	//			alert("CLIENTE NO EXISTE");
				ccod1.value = "";
				cnom1.value = dato;
				ccod1.focus();
				}
			else {
				cnom1.value = dato;
				}
			}
		}
	
	function select_Vendedor(vcod, vnom) {		
		var vcod1 = document.getElementById(vcod);
		var vnom1 = document.getElementById(vnom);
		if(vcod1.value=="") {
			vcod1.value = "";
			vnom1.value = "";
			}
		else {			
			var dato = koolajax.callback(seleccionaVendedor(vcod1.value));
			if(dato=="NO EXISTE") {
	//			alert("CLIENTE NO EXISTE");
				vcod1.value = "";
				vnom1.value = dato;
				vcod1.focus();
				}
			else {
				vnom1.value = dato;
				}
			}
		}
function ImprimirDoc(numDoc, varTipo) {
	if (varTipo==2) {
		var Ruta = 'print/print_factura.php?ndoc='+numDoc+'&ctip='+varTipo;
		testwindow = window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=850,height=550");
		}
	else if(varTipo==3) {
		var Ruta = 'print/print_boleta.php?ndoc='+numDoc+'&ctip='+varTipo;
		testwindow = window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=650,height=450");		
		}
	else if(varTipo==5) {
		var Ruta = 'print/print_cambio.php?ndoc='+numDoc+'&ctip='+varTipo;
		testwindow = window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=650,height=450");		
		}
	else  {
		var Ruta = 'print/print_guia.php?ndoc='+numDoc+'&ctip='+varTipo;
		testwindow = window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=850,height=550");
		}	
	}
	

function AnularVenta(varCod, varEmi, varDoc, varUrl) {		
	if(confirm('¿ESTA SEGURO DE ANULAR ESTE CAMBIO?\nFecha Emisión : '+varEmi+'\nDocumento : '+varDoc+'\nTENGA EN CUENTA QUE ESTE PROCESO REALIZARA LO SIGUIENTE:\n ANULARA EL MOVIMIENTO QUE SE REALIZO EN EL ALMACEN')) {		
		var Ruta = varUrl+'?opt=ANUL&valor='+varCod;
		window.location.href = Ruta;	
		}
	}

function GeneraDocumento(varCod, varEmi, varDoc, varUrl, varTipoDoc) {
	if(varTipoDoc=='BOL')
		var varTipoDocN	= 'BOLETA';
	else
		var varTipoDocN	= 'FACTURA';
	if(confirm('¿ESTA SEGURO DE REEMPLAZAR EL DOCUMENTO DE VENTA\nFecha Emisión : '+varEmi+'\nDocumento : '+varDoc+'\nPOR UNA NUEVA '+varTipoDocN+'?')) {
		var varNumDoc = koolajax.callback(generaDocNuevo(varCod, varTipoDoc));
		alert('SE HA GENERADO LA ' + varTipoDocN + ' NRO. ' + varNumDoc);
		var Ruta = varUrl+'?opt=VIEW&valor='+varCod;
		window.location.href = Ruta;
		}
	}
			
function DetalleVenta(varCod, varEmi, varDoc, varUrl) {		
	var Ruta = varUrl+'?opt=VIEW&valor='+varCod;
	window.location.href = Ruta;
	}

</script>
	<?php
	if(!isset($Opcion)) {
		
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"420", "clase"=>"Formtitulo", "titulo"=>$varTitulo." - BUSQUEDA",
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$varTitulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"Cliente :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"ccod", "name"=>"ccod", "valor"=>$_POST["ccod"],
																					 "ancho"=>"50", "alinear"=>"center", 
																					 "keypress"=>"return SoloEnteros(event)",
																					 "blur"=>"xajax_seleccionar_cliente(this.value)", 
																					 "dclick"=>"fn_cargar_listado_cliente('ccod', 'cnom')"),
																			   array("tipo"=>"text", "id"=>"cnom", "name"=>"cnom", "valor"=>$_POST["cnom"], 
																					 "ancho"=>"250", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),
									   array("titulo"=>"Vendedor :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"vcod", "name"=>"vcod", "valor"=>$_POST["vcod"],
																					 "ancho"=>"50", "alinear"=>"center", 
																					 "keypress"=>"return SoloEnteros(event)",
																					 "blur"=>"xajax_seleccionar_vendedor(this.value)", 
																					 "dclick"=>"fn_cargar_listado_vendedor('vcod', 'vnom')"),
																			   array("tipo"=>"text", "id"=>"vnom", "name"=>"vnom", "valor"=>$_POST["vnom"], 
																					 "ancho"=>"250", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),										   
									   array("titulo"=>"Fecha Incial :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"fecha", "id"=>"eini", "name"=>"eini", "alinear"=>"center","valor"=>$varFINI) ),
									   array("titulo"=>"Fecha Final :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"fecha", "id"=>"efin", "name"=>"efin", "alinear"=>"center", "valor"=>$varFFIN) )									   
									   ),
						"boton"=>array(array("tipo"=>"submit", "id"=>"bcon", "name"=>"bcon", "ancho"=>"80", "alto"=>"22", "texto"=>"Consultar"),			  
									   array("tipo"=>"submit", "id"=>"bexp", "name"=>"bexp", "ancho"=>"80", "alto"=>"22", "texto"=>"Exportar"),
									   array("tipo"=>"button", "id"=>"bnew", "name"=>"bnew", "ancho"=>"100", "alto"=>"22", 
											 "texto"=>"Nuevo Cambio", "click"=>"location='$Link?opt=NEW'"),									)
						);
		echo $obj->setTablaForm($varTabla);
		if(isset($_POST["bcon"])) {		
			$varFIni = ($_POST["eini"]=="") ? "NULL" : "'".FechaMySql($_POST["eini"])."'";
			$varFFin = ($_POST["efin"]=="") ? "NULL" : "'".FechaMySql($_POST["efin"])."'";
			$varClie = ($_POST["ccod"]=="") ? "NULL" : $_POST["ccod"];
			$varVend = ($_POST["vcod"]=="") ? "NULL" : $_POST["vcod"];			
			
			$sql = "call spQuery_Registro_Cambios($varClie, $varVend, $varFIni, $varFFin);";
			$varTabla=array("id"=>"theTable", "name"=>"theTable", "tamano"=>"1100", "sql_cab"=>$sql,	"pages"=>50,
							"conte"=>array(array("tamano"=>20, "titulo"=>"IDE", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>50, "titulo"=>"EMISION", "alinear"=>"center"),
										   array("tamano"=>80, "titulo"=>"DOCUMENTO", "alinear"=>"center", "fijo"=>"SI", "funcion"=>array("contar")),
										   array("tamano"=>10, "titulo"=>"CCON", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>150,"titulo"=>"CONDICION", "alinear"=>"center"),
										   array("tamano"=>40, "titulo"=>"EST.", "alinear"=>"center"),
										   array("tamano"=>10, "titulo"=>"CTIP", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>10, "titulo"=>"CCLI", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>250,"titulo"=>"CLIENTE", "fijo"=>"SI"),
										   array("tamano"=>10, "titulo"=>"CVEN", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>250,"titulo"=>"VENDEDOR", "fijo"=>"SI"),
										   array("tamano"=>10, "titulo"=>"CRUT", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>250,"titulo"=>"RUTA", "fijo"=>"SI"),
										   array("tamano"=>40, "titulo"=>"PEDIDO", "alinear"=>"center"),
										   array("tamano"=>40, "titulo"=>"GUIA", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>50, "titulo"=>"TOTAL", "alinear"=>"right", "autosuma"=>"SI"),
										   array("titulo"=>"FCREADO",  "ancho"=>"100", "oculto"=>"SI"),
										   array("titulo"=>"FUPDATE",  "ancho"=>"100", "oculto"=>"SI"),
										   array("titulo"=>"UCREADO",  "ancho"=>"50",  "alinear"=>"center"),
										   array("titulo"=>"UUPDATE",  "ancho"=>"50",  "oculto"=>"SI")
										   ),
							"boton"=>array(array("tipo"=>"img", "id"=>"bdet", "name"=>"bdet", "img"=>"images/b_table.png", 
										   		 "toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>VER EL DETALLE</b> DE LA VENTA<br><b>Fecha Emisión : </b>"),
																 array("valor"=>1, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Documento : </b>"),
																 array("valor"=>2, "tipo"=>"INDEX")
												   				),
												 "click"=>array("funcion"=>"DetalleVenta",
																"param"=>array(array("valor"=>0, "tipo"=>"INDEX"),
																			   array("valor"=>1, "tipo"=>"INDEX"),
																			   array("valor"=>2, "tipo"=>"INDEX"),
																			   array("valor"=>$Link, "tipo"=>"TEXTO")
																			   )
																)
												 ),	
											array("tipo"=>"img", "id"=>"bimp", "name"=>"bimp", "img"=>"images/b_printer.png", 
										   		 "toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>IMPRIMIR</b> LA VENTA<br><b>Fecha Emisión : </b>"),
																 array("valor"=>1, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Documento : </b>"),
																 array("valor"=>2, "tipo"=>"INDEX")
												   				),
												 "click"=>array("funcion"=>"ImprimirDoc",
																"param"=>array(array("valor"=>0, "tipo"=>"INDEX"),
																			   array("valor"=>6, "tipo"=>"INDEX") 
																			   )
																)
												 ),									
											array("cond"=>array(array(3,"<>","AN")),
										   		 "tipo"=>"img", "id"=>"banu", "name"=>"banu", "img"=>"images/b_table_delete.png", 
												 "toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>ANULAR</b> ESTE CAMBIO<br><b>Fecha Emisión : </b>"),
																 array("valor"=>1, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Documento : </b>"),
																 array("valor"=>2, "tipo"=>"INDEX")
												   				),
												 "click"=>array("funcion"=>"AnularVenta",
																"param"=>array(array("valor"=>0, "tipo"=>"INDEX"),
																			   array("valor"=>1, "tipo"=>"INDEX"),
																			   array("valor"=>2, "tipo"=>"INDEX"),
																			   array("valor"=>$Link, "tipo"=>"TEXTO") 
																			  )
																)												 
												)
										)
							);
			echo $obj->SetGridTabla($varTabla);
			}
		}
	elseif($Opcion=="NEW") {
		$sqldoc = "call spQuery_Combo_Tipo_Doc_Cambios();";
		$sqlcon = "call spQuery_Combo_Tipo_Condicion();";
			 
		echo "<form id=\"form\" name=\"form\" method=\"POST\"  onSubmit=\"return validaRegistroCambios(this)\">";
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"450", "clase"=>"Formtitulo", "titulo"=>$varTitulo." - NUEVA VENTA",						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$varTitulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion),
									   array("tipo"=>"oculto", "id"=>"tdcod1", "name"=>"tdcod1", "valor"=>$_POST[tdcod1]),
									   array("tipo"=>"oculto", "id"=>"tdnam1", "name"=>"tdnam1", "valor"=>$_POST[tdnam1]),
									   array("tipo"=>"oculto", "id"=>"femi1", "name"=>"femi1", "valor"=>$_POST[femi1]),
									   array("tipo"=>"oculto", "id"=>"cond1", "name"=>"cond1", "valor"=>$_POST[cond1]),
									   array("tipo"=>"oculto", "id"=>"vcod1", "name"=>"vcod1", "valor"=>$_POST[vcod1]),
									   array("tipo"=>"oculto", "id"=>"ccod1", "name"=>"ccod1", "valor"=>$_POST[ccod1])
									  ),
						"conte"=>array(array("titulo"=>"Doc. Venta :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"select", "id"=>"tdcod", "name"=>"tdcod", 
																					 "valor"=>$_POST["tdcod"], "ancho"=>"100",
																					 "combo"=>array("sql"=>$sqldoc, "ancho"=>"140", 
																					 				"titulo"=>" --[[SELECCIONAR]]-- ", "sincod"=>"SI", 
																								    "reload"=>"xajax_seleccionarNroDocumento(this.value)"
																		   							)
																					 ),
																			   array("tipo"=>"text", "id"=>"tdnam", "name"=>"tdnam", "valor"=>$_POST["tdnam"], 
																					 "ancho"=>"160", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),
									   array("titulo"=>"Fecha Emisión :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"texto", "id"=>"femi", "name"=>"femi", 
															"valor"=>sumaDia(date( "Y-m-d",time()),1), "ancho"=>"100", "locked"=>"SI", "clase"=>"campo_fecha")),
									   array("titulo"=>"Condición :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										 "campo"=>array("tipo"=>"select", "id"=>"cond", "name"=>"cond", "valor"=>$_POST["cond"],
														"combo"=>array("sql"=>$sqlcon, "ancho"=>"200", "sincod"=>"SI"))),						   
									   array("titulo"=>"Vendedor :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"vcod", "name"=>"vcod", "valor"=>$_POST["vcod"],
																					 "ancho"=>"50", "alinear"=>"center", 
																					 "keypress"=>"return SoloEnteros(event)",
																					 "blur"=>"xajax_seleccionar_vendedor(this.value)", 
																					 "dclick"=>"fn_cargar_listado_vendedor('vcod', 'vnom')"),
																			   array("tipo"=>"text", "id"=>"vnom", "name"=>"vnom", "valor"=>$_POST["vnom"], 
																					 "ancho"=>"250", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 )
									   )
						);
		echo $obj->setTablaForm($varTabla);
		
		
		$varTabla=array("id"=>"tabla_cli", "name"=>"table_cli", "tamano"=>"450", "clase"=>"Formtitulo", "titulo"=>"DATOS DEL CLIENTE",						
						"conte"=>array(array("titulo"=>"Cliente :", "clase1"=>"FormCampo1", "clase2"=>"interior", "tamano"=>"100",
											 "campo"=>array("tipo"=>"varios", 
															"contenido"=>array(array("tipo"=>"text", "id"=>"ccod", "name"=>"ccod", 
																					 "valor"=>$_POST["ccod"], "ancho"=>"55", "alinear"=>"center", 
																					 "keypress"=>"return SoloEnteros(event)",
																					 "blur"=>"xajax_seleccionar_cliente(this.value)", 
																					 "dclick"=>"fn_cargar_listado_cliente('ccod', 'cnom')"),
																			   array("tipo"=>"text", "id"=>"cnom", "name"=>"cnom", 
																			   		 "valor"=>$_POST["cnom"], 
																					 "ancho"=>"258", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),
									   array("titulo"=>"DNI / RUC :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"dni", "name"=>"dni", 
																					 "valor"=>$_POST["dni"], "ancho"=>"157", "alinear"=>"center", 
																					 "clase"=>"inputDisable", "locked"=>"SI"),
																			   array("tipo"=>"text", "id"=>"ruc", "name"=>"ruc", 
																			   		 "valor"=>$_POST["ruc"], "ancho"=>"157", "alinear"=>"center",
																					 "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),
									   array("titulo"=>"Dirección :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"text", "id"=>"txtdir", "name"=>"txtdir", "valor"=>$_POST["txtdir"], 
											 				"ancho"=>"320", "clase"=>"inputDisable", "locked"=>"SI")),
									   array("titulo"=>"Ruta :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"rcod", "name"=>"rcod", 
																					 "valor"=>$_POST["rcod"], "ancho"=>"55", "alinear"=>"center", 
																					 "clase"=>"inputDisable", "locked"=>"SI"),
																			   array("tipo"=>"text", "id"=>"rnom", "name"=>"rnom", 
																			   		 "valor"=>$_POST["rnom"], "ancho"=>"258", 
																					 "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),
									   array("titulo"=>"Lista Precios :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"lcod", "name"=>"lcod", 
																					 "valor"=>$_POST["lcod"], "ancho"=>"55", "alinear"=>"center", 
																					 "clase"=>"inputDisable", "locked"=>"SI"),
																			   array("tipo"=>"text", "id"=>"lnom", "name"=>"lnom", 
																			   		 "valor"=>$_POST["lnom"], "ancho"=>"258", 
																					 "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 )
									   ),
						"boton"=>array(array("tipo"=>"button", "id"=>"btadd", "name"=>"btadd", "ancho"=>"120", "alto"=>"22", 
											 "texto"=>"Agregar Producto", "click"=>"suma()"),
									   array("tipo"=>"button", "id"=>"breg", "name"=>"breg", "ancho"=>"80", "alto"=>"22", 
											 "texto"=>"Regresar", "click"=>"location='$Link'")
									   )
						);
		echo $obj->setTablaForm($varTabla);
		
		
		echo "<br>";
		echo "<table id=\"tblSample\" style=\"padding:0;margin-top:0px;border-collapse:collapse;\" ";
		echo "width=750 align=center cellpadding=0 cellspacing=0>";
		echo "<tr>";		
		echo "<td class=\"FormCampo2\" width=\"90\">Codigo";
		echo "<input name=\"num\" type=\"hidden\" class=\"input\" id=\"num\" value=\"0\"/>";
		echo "</td>";	
		echo "<td class=\"FormCampo2\" width=\"300\">Descripcion</td>";
		echo "<td class=\"FormCampo2\" width=\"50\">UM Venta</td>";
		echo "<td class=\"FormCampo2\" width=\"50\">Stock</td>";
		echo "<td class=\"FormCampo2\" width=\"50\">Lote</td>";
		echo "<td class=\"FormCampo2\" width=\"50\">F.Venc.</td>";
		echo "<td class=\"FormCampo2\" width=\"50\">Cantidad</td>";
		echo "<td class=\"FormCampo2\" width=\"10\"></td>";
		echo "</tr>";
		echo "<tbody id=cuerpoTabla>";
		echo "</tbody>";
		echo "<tr>";
		echo "<td height=25 colspan=8 valign=top aling=\"center\" class=\"Formtitulo\">";	
		echo "<input id=\"save\" name=\"save\" type=\"submit\" style=\"width:150px; ";
		echo "height:22px; font-size:10px; \" value=\"Registrar Cambios\" onClick=\"return confirm('¿DESEA GUARDAR ESTOS CAMBIOS?')\" >";
		echo "</td>";
		echo "</tr>";
		echo "</table>";	
		echo "</form>";		
		}
	elseif($Opcion=="VIEW") {
		$sql = "CALL spQuery_Registro_Ventas_Detalle($Valor)";
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);		
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"400", "clase"=>"Formtitulo", "titulo"=>$varTitulo." - DETALLE",
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$varTitulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"Fecha Emision :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "texto"=>$Fila["EMISION"], "tamano"=>"100"),
									   array("titulo"=>"Tipo Documento :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
									   		 "texto"=>$Fila["CTIP"]),
									   array("titulo"=>"Nro Documento :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["NDOC"]),
									   array("titulo"=>"Cliente :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CCLI"].' - '.$Fila["CLIENTE"]),
									   array("titulo"=>"Vendedor :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CVEN"].' - '.$Fila["VENDEDOR"]),
									   array("titulo"=>"Condición Venta :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CCON"].' - '.$Fila["CONDICION"]),
									   array("titulo"=>"Monto :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>number_format($Fila["TOTAL"], 2,'.',',')),
									   array("titulo"=>"Pagos a Cuenta :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>number_format($Fila["PAGOS"], 2,'.',',')),
									   array("titulo"=>"Saldo :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>number_format($Fila["SALDO"], 2,'.',',')),
									   array("titulo"=>"Estado :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["ESTADO"]),
									   array("titulo"=>"U/F Creado :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["USER_CREATE"]." / ".$Fila["DATE_CREATE"]),
									   array("titulo"=>"U/F Modificado :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["USER_UPDATE"]." / ".$Fila["DATE_UPDATE"])
									   ),
						"boton"=>array(array("tipo"=>"button", "id"=>"breg", "name"=>"breg", "ancho"=>"80", "alto"=>"22", 
											 "texto"=>"Regresar", "click"=>"location='$Link'"),
									   array("tipo"=>"button", "id"=>"bimp", "name"=>"bimp", "ancho"=>"80", "alto"=>"22", 
									   		 "texto"=>"Imprimir", "click"=>"javascript:ImprimirDoc($Valor,$Fila[CTIPD])"),
									   array("tipo"=>"button", "id"=>"bnew", "name"=>"bnew", "ancho"=>"100", "alto"=>"22", 
											 "texto"=>"Nuevo Cambio", "click"=>"location='$Link?opt=NEW'"),
									)
						);
		echo $obj->setTablaForm($varTabla);
		$sql = "call spQuery_Registro_Ventas_Contenido($Valor)";
		$varTabla=array("id"=>"theTable", "name"=>"theTable", "tamano"=>"700", "sql_cab"=>$sql,	"pages"=>50,
							"conte"=>array(array("tamano"=>10, "titulo"=>"CPRO", "alinear"=>"center"),
										   array("tamano"=>300,"titulo"=>"PRODUCTO"),
										   array("tamano"=>40, "titulo"=>"U.M.", "alinear"=>"center"),
										   array("tamano"=>50, "titulo"=>"PRECIO", "alinear"=>"right"),
										   array("tamano"=>50, "titulo"=>"CANTIDAD", "alinear"=>"right"),
										   array("tamano"=>50, "titulo"=>"TOTAL", "alinear"=>"right"),
										   array("tamano"=>50, "titulo"=>"LOTE", "alinear"=>"center"),
										   array("tamano"=>50, "titulo"=>"F.VENC.", "alinear"=>"center"),
										   )
							);

			echo $obj->SetGridTabla($varTabla);
		}
	elseif($Opcion=="ANUL") {
		if($_SESSION["_FDEL"]<>"S") {
			echo "<script language='Javascript'>";
			echo "window.location='$Link'";
			echo "</script>\n";
			}
		$sql = "call spMante_Cambio_Anular($Valor, $_SESSION[_CUSE]);";
		$obj->AbrirConexion();
		$obj->Query($sql);
		$obj->CerrarConexion();	
		echo "<script language='Javascript'>";
		echo "window.location='$Link'";
		echo "</script>\n";
		}	
	
	if(isset($_POST["save"])) {
		$Link = $_SERVER['PHP_SELF'];
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$varUsr = (isset($_SESSION["_CUSE"]))  ? $_SESSION["_CUSE"] : "1";
		$vnum = $_POST["num"];
		$varEmi = "'".FechaMySql($_POST["femi1"])."'";
		$varTip = (isset($_POST["tdcod1"]) && $_POST["tdcod1"]<>"")?$_POST[tdcod1]:"NULL";
		$varDoc = (isset($_POST["tdnam1"]) && $_POST["tdnam1"]<>"")?"'".$_POST[tdnam1]."'":"NULL";
		$varCli = (isset($_POST["ccod1"]) && $_POST["ccod1"]<>"")?$_POST[ccod1]:"NULL";
		
		$varRut = (isset($_POST["rcod"]) && $_POST["rcod"]<>"")?"'".$_POST["rcod"]."'":"'0'";
		$varLis = (isset($_POST["lcod"]) && $_POST["lcod"]<>"")?$_POST["lcod"]:"0";
		
		$varCon = (isset($_POST["cond1"]) && $_POST["cond1"]<>"")?$_POST[cond1]:"NULL";
		$varVen = (isset($_POST["vcod1"]) && $_POST["vcod1"]<>"")?$_POST[vcod1]:0;
		$varLoc = 1;
		
		$sql = "call spMante_Cambio_Cab($varLoc, $varTip, $varDoc, $varCon, $varEmi, $varCli, $varRut, $varLis, $varVen,  $varUsr)";
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);
		$NumVenta = $Fila[0];
		for($i=1; $i<=$vnum; $i++) {	
			$varCod = $_POST["icod"][$i];
			$varCan = (isset($_POST["ican"][$i]) && $_POST["ican"][$i]<>"")?$_POST["ican"][$i]:0;
			$varUni = (isset($_POST["iuni"][$i]) && $_POST["iuni"][$i]<>"")?"'".$_POST["iuni"][$i]."'":"NULL";
			$varLot = (isset($_POST["ilot"][$i]) && $_POST["ilot"][$i]<>"")?"'".$_POST["ilot"][$i]."'":"NULL";
			$varFec = (isset($_POST["ifec"][$i]) && $_POST["ifec"][$i]<>"")?"'".FechaMySql($_POST["ifec"][$i])."'":"NULL";
			
			$sql = "call spMante_Cambio_Det($NumVenta, '$varCod', $varLoc, $varCan, $varUni, $varLot, $varFec, $varEmi, $varUsr);";
			$obj->AbrirConexion();
			$rs = $obj->Query($sql);
			$obj->CerrarConexion();
			}		
		$varRuta = $Link."?opt=VIEW&valor=".$NumVenta;
		echo "<script language='Javascript'>";
		echo "window.location='$varRuta'";
		echo "</script>\n";
		}
	} 
?>